Persistent 'browser that is not supported' message

Post Reply
aaronj
Posts: 2
Joined: 03 Sep 21 19:41

Persistent 'browser that is not supported' message

Post by aaronj » 03 Sep 21 20:23

After installing an update in the last few days I started getting a warning over the Geo Tag map about an unsupported browser. This wouldn't be too bad if you had to dismiss it once per time you run the application, but at least for me, if I switch off of the Geo Tag panel and return, the message returns as well.
2021-09-03 14_47_08-Photo Supreme Server Edition _ IDimager Administrator _ postgresql.photosupreme@.png
2021-09-03 14_47_08-Photo Supreme Server Edition _ IDimager Administrator _ postgresql.photosupreme@.png (41.72 KiB) Viewed 235 times
This is presumably a Google policy change related to the 6/15/2022 official retirement date for Internet Explorer.

I noted that the Run time utility for Internet Explorer that the maps are running in queries this registry key when Photo Supreme is loading:

HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\CurrentVersion\Internet Settings\User Agent

I just grabbed the user agent string from my currently installed version of Chrome:

Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/93.0.4577.63 Safari/537.36

...and put that into a String entry named Version within that key, and after restarting Photo Supreme, no more nag message!

I don't know if this will work for everyone or if it is a permanent solution, but it at least works perfectly for me at present and totally eliminates the nag message. In case the description might be unclear the .reg file text I pasted below should clarify.

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\CurrentVersion\Internet Settings\User Agent]
"Version"="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/93.0.4577.63 Safari/537.36"

G8DHE
Posts: 325
Joined: 21 Aug 17 13:58

Re: Persistent 'browser that is not supported' message

Post by G8DHE » 03 Sep 21 23:09

Yes suffering this as well, lets see if Hert can update the Browser in use otherwise will give this a go!
Geoff Mather (G8DHE)

aaronj
Posts: 2
Joined: 03 Sep 21 19:41

Re: Persistent 'browser that is not supported' message

Post by aaronj » 04 Sep 21 3:42

Its at least good to know it isn't just me.

I read this page after posting, which confirms that it was a policy change in August and is officially just a nag until August 2022, when IE support ends completely. I can't post the link as a forum newcomer, but it is on the google developers cite at path /maps/documentation/javascript/browsersupport

Or just search for the relevant text from the page:
Beginning in August 2021, a warning message will appear to Internet Explorer 11 users at the top of maps. The last version of the Maps JavaScript API to support Internet Explorer 11 is v3.47. Support for Internet Explorer 11 will be entirely discontinued in August 2022. This also applies to the IE mode in Edge.

I also realized that I should have made it clear that the User Agent key wasn't there at all ahead of time so that doesn't throw anyone off.

This key was already there:
HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\CurrentVersion\Internet Settings

and I added the User Agent sub-key, then the "Version" string value inside the newly created User Agent key.

Just to confirm how it looks for me once added:
2021-09-03 22_30_45-Registry Editor.png
2021-09-03 22_30_45-Registry Editor.png (9.86 KiB) Viewed 201 times
I just wanted to make sure no one thought the User Agent key not being present ahead of time was a problem or was even unexpected.

BrianS
Posts: 62
Joined: 09 May 07 14:31
Location: Australia

Re: Persistent 'browser that is not supported' message

Post by BrianS » 07 Sep 21 5:28

Thanks aaronj,
This worked perfectly
Brian
Melbourne Australia
V6 PSU, Win 10-64, Canon 1Dx, 50D, FUJI X-T1, X-T2, LR CC, PS CC2020

Post Reply